#!/bin/sh

cd ..
rm -Rf dist_package
mkdir dist_package
rm -Rf lib
mkdir lib
cp *.txt dist_package/
cd src
rm com/chatley/kenya/*.class
rm com/chatley/kenya/gui/*.class
rm com/chatley/kenya/gui/syntaxhighlight/*.class
rm com/chatley/kenya/gui/syntaxhighlight/jeditSyntax/*.class
rm com/chatley/kenya/gui/varview/*.class
rm com/chatley/kenya/utils/*.class
rm com/chatley/kenya/interpreter/*.class
rm com/chatley/kenya/interpreter/value/*.class
rm com/chatley/kenya/interpreter/io/*.class
rm com/chatley/kenya/io/*.class
rm com/chatley/kenya/minijava/*.class
rm com/chatley/kenya/minijava/parser/*.class
rm com/chatley/kenya/minijava/lexer/*.class
rm com/chatley/kenya/minijava/node/*.class
rm com/chatley/kenya/minijava/analysis/*.class

javac -classpath . -d ../lib com/chatley/kenya/Kenya.java
cp com/chatley/kenya/minijava/lexer/lexer.dat ../lib/com/chatley/kenya/minijava/lexer/lexer.dat
cp com/chatley/kenya/minijava/parser/parser.dat ../lib/com/chatley/kenya/minijava/parser/parser.dat
cp -R help ../lib/help
cp -R images ../lib/images
cp -R META-INF ../lib/META-INF
cp MANIFEST.MF ../lib

cd ../lib
jar -cvmf MANIFEST.MF kenya.jar *
rm -Rf help
rm -Rf images
rm -Rf META-INF
rm -Rf com
rm MANIFEST.MF

cd ..
cp -R bin dist_package/bin
cp -R etc dist_package/etc
cp -R kenya dist_package/kenya
cp -R lib dist_package/lib
cp -R temp dist_package/temp
cp -R user_code dist_package/user_code
mkdir dist_package/src
rm dist_package/bin/build*
