/* *******************************************************************************
 *   Kenya - an introductory programming language and development environment    *
 *   Copyright (C) 2001,2002 Robert Chatley, Alan Chan                           *
 *                                                                               *
 *   This program is free software; you can redistribute it and/or               *
 *   modify it under the terms of the GNU General Public License                 *
 *   as published by the Free Software Foundation; either version 2              *
 *   of the License, or (at your option) any later version.                      *
 *                                                                               *
 *   This program is distributed in the hope that it will be useful,             *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *   GNU General Public License for more details.                                *
 *                                                                               *
 *   You should have received a copy of the GNU General Public License           *
 *   along with this program; if not, write to the Free Software                 *
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *                                                                               *
 *   The author can be contacted by email at robert@chatley.com                  *
 *                                                                               *
 *********************************************************************************/

package com.chatley.kenya.gui;

import javax.swing.*;
import javax.swing.text.*;
import java.awt.event.*;
import java.io.*;

class InputBox extends JTextField implements ActionListener {

    private KenyaOutputWindow parent;
    //OutputStreamWriter o;

    InputBox( KenyaOutputWindow p )
    {
        parent = p;
        addActionListener(this);
        addKeyListener(new KeyAdapter() {
            public void keyPressed(KeyEvent e)
            {
                if ((e.getKeyCode() == KeyEvent.VK_Z ||
                     e.getKeyCode() == KeyEvent.VK_D) &&
                     e.getModifiers() == KeyEvent.CTRL_MASK)
                {
                    /*try
                    {
                        o = new OutputStreamWriter( parent.proc.getOutputStream() );
                        o.close();
                    }
                    catch(java.io.IOException e2) {}*/
                    System.out.println("EOF detected");
                    if(parent.getOutputWriter()!=null)
                        parent.getOutputWriter().close();
                }
            }
        });

    }

    public void actionPerformed(ActionEvent event)
    {
        parent.appendText(getText() + "\n" );

        /*try {
            o = new OutputStreamWriter( parent.proc.getOutputStream() );
            o.write( getText() + "\n" );
            o.flush();
        }

        catch(java.io.IOException e) {
            JOptionPane.showMessageDialog( parent, "Program not waiting for input." );
        }*/

        if(parent.getOutputWriter()!=null){
            //parent.outputArea.append(getText() + "\n");
            parent.getOutputWriter().write(getText() + "\n");
            parent.getOutputWriter().flush();
        }

        setText("");
    }
}
