/* *******************************************************************************
 *   Kenya - an introductory programming language and development environment    *
 *   Copyright (C) 2001,2002 Robert Chatley, Alan Chan                           *
 *                                                                               *
 *   This program is free software; you can redistribute it and/or               *
 *   modify it under the terms of the GNU General Public License                 *
 *   as published by the Free Software Foundation; either version 2              *
 *   of the License, or (at your option) any later version.                      *
 *                                                                               *
 *   This program is distributed in the hope that it will be useful,             *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *   GNU General Public License for more details.                                *
 *                                                                               *
 *   You should have received a copy of the GNU General Public License           *
 *   along with this program; if not, write to the Free Software                 *
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *                                                                               *
 *   The author can be contacted by email at robert@chatley.com                  *
 *                                                                               *
 *********************************************************************************/

package com.chatley.kenya.gui.syntaxHighlight;

import javax.swing.*;
import java.awt.*;
import com.chatley.kenya.gui.syntaxHighlight.jeditSyntax.*;

public class AlanTest extends JFrame
{
    public AlanTest()
    {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        //JEditTextArea j = new JEditTextArea(new KenyaDefaults());
        //j.setTokenMarker(new KenyaTokenMarker());
        KenyaTextArea j = new KenyaTextArea();
        j.setTabSize(4);
        Gutter g = new Gutter(j);
        getContentPane().add(j,BorderLayout.CENTER);
    }


    public static void main(String[] args)
    {
        AlanTest a = new AlanTest();
        a.pack();
        a.show();
    }
}