/* *******************************************************************************
 *   Kenya - an introductory programming language and development environment    *
 *   Copyright (C) 2001,2002 Robert Chatley, Alan Chan                           *
 *                                                                               *
 *   This program is free software; you can redistribute it and/or               *
 *   modify it under the terms of the GNU General Public License                 *
 *   as published by the Free Software Foundation; either version 2              *
 *   of the License, or (at your option) any later version.                      *
 *                                                                               *
 *   This program is distributed in the hope that it will be useful,             *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *   GNU General Public License for more details.                                *
 *                                                                               *
 *   You should have received a copy of the GNU General Public License           *
 *   along with this program; if not, write to the Free Software                 *
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *                                                                               *
 *   The author can be contacted by email at robert@chatley.com                  *
 *                                                                               *
 *********************************************************************************/

/**
 * RValueTreeNode.java
 *
 * A tree node which encapsulates a Value object representing
 * a kenya reference type (in other words, an array or class).
 * Alan Chan 2002/3
 */
package com.chatley.kenya.gui.varview;

import javax.swing.tree.*;
import com.chatley.kenya.interpreter.value.*;

class RValueTreeNode extends ValueTreeNode
{
    RValueTreeNode(Value v)
    {
        super(v);
    }

    public String toString()
    {
        Value v = (Value)userObject;
        return "(" + v.getType() + ") " + /*v.*/getVarName();
    }
}