package com.chatley.kenya.io;

import java.io.*;

public class IntReader
{
    static StreamTokenizer tokenizer;

    static {
	tokenizer = new StreamTokenizer( new InputStreamReader( System.in ) );
    }

    public static int read() {

	try {

	    if ( tokenizer.nextToken() != StreamTokenizer.TT_NUMBER ) {
		System.out.println("Failed to read integer.");
	    } else {
		return (int)tokenizer.nval;
	    }
	}
	catch (java.io.IOException e){System.out.println(e);}

	return 0;
    }
}
